Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001928TestLinkTest Specificationpublic2008-12-11 21:032009-01-20 05:19
Reportergschafra 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 2 
Fixed in Version1.8 RC 3 
Summary0001928: Patch: Config option treemenu_show_testcase_id to affect ExtJS testcase tree
DescriptionIn RC2 the configuration option "treemenu_show_testcase_id" doesn't affect ExtJS testcase tree, so the IDs are always shown for the ExtJS testcase tree.
Additional Information--- /Temp/TCV30251.tmp/gettprojectnodes.1.11.php Wed Oct 29 20:38:36 2008
+++ /testlink_cvs/lib/ajax/gettprojectnodes.php Thu Dec 11 13:14:19 2008
@@ -150,9 +150,10 @@
                     break;
                     
                 case 'testcase':
+ $showTestCaseID=config_get('treemenu_show_testcase_id');
                     //$path['href'] = "javascript:ET({$path['id']})";
                     $path['href'] = "javascript:" . $js_function[$row['node_type']]. "({$path['id']})";
- $path['text'] = htmlspecialchars($tcprefix . $external[$row['id']]['tc_external_id'] . ":") . $path['text'];
+ $path['text'] = ($showTestCaseID ? htmlspecialchars($tcprefix . $external[$row['id']]['tc_external_id'] . ":") : "") . $path['text'];
                     $path['leaf'] = true;
                     break;
             }
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespatch file icon gettprojectnodes.php.patch [^] (865 bytes) 2008-12-11 21:03 [Show Content]

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2008-12-11 21:03 gschafra New Issue
2008-12-11 21:03 gschafra File Added: gettprojectnodes.php.patch
2008-12-12 01:26 fman Status new => assigned
2008-12-12 01:26 fman Assigned To => fman
2008-12-15 16:40 fman Status assigned => resolved
2008-12-15 16:40 fman Fixed in Version => next development 1.8 RC3
2008-12-15 16:40 fman Resolution open => fixed
2009-01-20 05:19 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker